package com.sxyz.rfid.greendao.model;

import org.greenrobot.greendao.annotation.Entity;
import org.greenrobot.greendao.annotation.Generated;
import org.greenrobot.greendao.annotation.Id;
import org.greenrobot.greendao.annotation.Property;

import java.io.Serializable;

/**
 * 主要功能: 库存任务表
 *
 * @Description:
 * @Project: rfid-app
 * @Package: com.sxyz.rfid.greendao.model
 * @author: chunyuanwu
 * @date: 2026年01月15日 14:13
 * @version: 1.0.0
 */
//@Entity 表明这个实体类会在数据库中生成一个与之相对应的表
@Entity(nameInDb = "wms_inventory_task")
public class WmsInventoryTask implements Serializable {
    private static final long serialVersionUID = 1L;
    //主键
    @Id(autoincrement = true)
    @Property(nameInDb = "task_id")
    private Long taskId;
    @Property(nameInDb = "plan_id")
    private Integer planId;
    @Property(nameInDb = "task_no")
    private String taskNo;
    @Property(nameInDb = "task_name")
    private String taskName;
    @Property(nameInDb = "warehouse_id")
    private Integer warehouseId;
    @Property(nameInDb = "warehouse_name")
    private String warehouseName;
    @Property(nameInDb = "area_ids")
    private String areaIds;
    @Property(nameInDb = "area_name")
    private String areaName;
    @Property(nameInDb = "material_ids")
    private String materialIds;
    @Property(nameInDb = "location_range")
    private String locationRange;
    @Property(nameInDb = "assignee_id")
    private Integer assigneeId;
    @Property(nameInDb = "assistant_ids")
    private String assistantIds;
    @Property(nameInDb = "task_status")
    private String taskStatus;
    @Property(nameInDb = "start_time")
    private String startTime;
    @Property(nameInDb = "end_time")
    private String endTime;
    @Property(nameInDb = "total_items")
    private Integer totalItems;
    @Property(nameInDb = "counted_items")
    private Integer countedItems;
    @Property(nameInDb = "inventory_device")
    private String inventoryDevice;
    @Property(nameInDb = "del_flag")
    private String delFlag;
    @Property(nameInDb = "create_time")
    private String createTime;
    @Property(nameInDb = "update_time")
    private String updateTime;
    @Property(nameInDb = "remark")
    private String remark;

    @Generated(hash = 1984916082)
    public WmsInventoryTask(Long taskId, Integer planId, String taskNo,
                            String taskName, Integer warehouseId, String warehouseName,
                            String areaIds, String areaName, String materialIds,
                            String locationRange, Integer assigneeId, String assistantIds,
                            String taskStatus, String startTime, String endTime, Integer totalItems,
                            Integer countedItems, String inventoryDevice, String delFlag,
                            String createTime, String updateTime, String remark) {
        this.taskId = taskId;
        this.planId = planId;
        this.taskNo = taskNo;
        this.taskName = taskName;
        this.warehouseId = warehouseId;
        this.warehouseName = warehouseName;
        this.areaIds = areaIds;
        this.areaName = areaName;
        this.materialIds = materialIds;
        this.locationRange = locationRange;
        this.assigneeId = assigneeId;
        this.assistantIds = assistantIds;
        this.taskStatus = taskStatus;
        this.startTime = startTime;
        this.endTime = endTime;
        this.totalItems = totalItems;
        this.countedItems = countedItems;
        this.inventoryDevice = inventoryDevice;
        this.delFlag = delFlag;
        this.createTime = createTime;
        this.updateTime = updateTime;
        this.remark = remark;
    }

    @Generated(hash = 950900997)
    public WmsInventoryTask() {
    }

    public Long getTaskId() {
        return this.taskId;
    }

    public void setTaskId(Long taskId) {
        this.taskId = taskId;
    }

    public Integer getPlanId() {
        return this.planId;
    }

    public void setPlanId(Integer planId) {
        this.planId = planId;
    }

    public String getTaskNo() {
        return this.taskNo;
    }

    public void setTaskNo(String taskNo) {
        this.taskNo = taskNo;
    }

    public String getTaskName() {
        return this.taskName;
    }

    public void setTaskName(String taskName) {
        this.taskName = taskName;
    }

    public Integer getWarehouseId() {
        return this.warehouseId;
    }

    public void setWarehouseId(Integer warehouseId) {
        this.warehouseId = warehouseId;
    }

    public String getWarehouseName() {
        return this.warehouseName;
    }

    public void setWarehouseName(String warehouseName) {
        this.warehouseName = warehouseName;
    }

    public String getAreaIds() {
        return this.areaIds;
    }

    public void setAreaIds(String areaIds) {
        this.areaIds = areaIds;
    }

    public String getAreaName() {
        return this.areaName;
    }

    public void setAreaName(String areaName) {
        this.areaName = areaName;
    }

    public String getMaterialIds() {
        return this.materialIds;
    }

    public void setMaterialIds(String materialIds) {
        this.materialIds = materialIds;
    }

    public String getLocationRange() {
        return this.locationRange;
    }

    public void setLocationRange(String locationRange) {
        this.locationRange = locationRange;
    }

    public Integer getAssigneeId() {
        return this.assigneeId;
    }

    public void setAssigneeId(Integer assigneeId) {
        this.assigneeId = assigneeId;
    }

    public String getAssistantIds() {
        return this.assistantIds;
    }

    public void setAssistantIds(String assistantIds) {
        this.assistantIds = assistantIds;
    }

    public String getTaskStatus() {
        return this.taskStatus;
    }

    public void setTaskStatus(String taskStatus) {
        this.taskStatus = taskStatus;
    }

    public String getStartTime() {
        return this.startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getEndTime() {
        return this.endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public Integer getTotalItems() {
        return this.totalItems;
    }

    public void setTotalItems(Integer totalItems) {
        this.totalItems = totalItems;
    }

    public Integer getCountedItems() {
        return this.countedItems;
    }

    public void setCountedItems(Integer countedItems) {
        this.countedItems = countedItems;
    }

    public String getInventoryDevice() {
        return this.inventoryDevice;
    }

    public void setInventoryDevice(String inventoryDevice) {
        this.inventoryDevice = inventoryDevice;
    }

    public String getDelFlag() {
        return this.delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getCreateTime() {
        return this.createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getUpdateTime() {
        return this.updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public String getRemark() {
        return this.remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

}
